function IoStatusLeftPage()
{
  this.Initialization=function(){IoStatusLeftPage.prototype._Initialization_();};
//RTU模組 Master
  this.RedisplayRtuModuleMasterUi = function(){IoStatusLeftPage.prototype._RedisplayRtuModuleMasterUi_();};
  this.ShowRtuModuleMasterPreviousPage = function(){IoStatusLeftPage.prototype._ShowRtuModuleMasterPreviousPage_();};
  this.ShowRtuModuleMasterNextPage = function(){IoStatusLeftPage.prototype._ShowRtuModuleMasterNextPage_();};
//TCP模組 Master
  this.RedisplayTcpModuleMasterUi = function(){IoStatusLeftPage.prototype._RedisplayTcpModuleMasterUi_();};
  this.ShowTcpModuleMasterPreviousPage = function(){IoStatusLeftPage.prototype._ShowTcpModuleMasterPreviousPage_();};
  this.ShowTcpModuleMasterNextPage = function(){IoStatusLeftPage.prototype._ShowTcpModuleMasterNextPage_();};
//ASCII模組 Master
  this.RedisplayAsciiModuleMasterUi = function(){IoStatusLeftPage.prototype._RedisplayAsciiModuleMasterUi_();};
  this.ShowAsciiModuleMasterPreviousPage = function(){IoStatusLeftPage.prototype._ShowAsciiModuleMasterPreviousPage_();};
  this.ShowAsciiModuleMasterNextPage = function(){IoStatusLeftPage.prototype._ShowAsciiModuleMasterNextPage_();};
//MQTT模組 Master
  this.RedisplayMqttModuleMasterUi = function(){IoStatusLeftPage.prototype._RedisplayMqttModuleMasterUi_();};
  this.ShowMqttModuleMasterPreviousPage = function(){IoStatusLeftPage.prototype._ShowMqttModuleMasterPreviousPage_();};
  this.ShowMqttModuleMasterNextPage = function(){IoStatusLeftPage.prototype._ShowMqttModuleMasterNextPage_();};
//EIP模組 Master
  this.RedisplayEipModuleMasterUi = function(){IoStatusLeftPage.prototype._RedisplayEipModuleMasterUi_();};
  this.ShowEipModuleMasterPreviousPage = function(){IoStatusLeftPage.prototype._ShowEipModuleMasterPreviousPage_();};
  this.ShowEipModuleMasterNextPage = function(){IoStatusLeftPage.prototype._ShowEipModuleMasterNextPage_();};

  var CheckPageNumber=function(){IoStatusLeftPage.prototype._CheckPageNumber_();};
  var AddDynamicRowHtml=function(ModuleObject, TableId, MaxLength){IoStatusLeftPage.prototype._AddDynamicRowHtml_(ModuleObject, TableId, MaxLength);};
  var SetTotalPageNumber=function(ModuleObject, TableId, MaxLength){IoStatusLeftPage.prototype._SetTotalPageNumber_(ModuleObject, TableId, MaxLength);};
  var SetDynamicRowValue=function(ModuleObject, TableId, MaxLength){IoStatusLeftPage.prototype._SetDynamicRowValue_(ModuleObject, TableId, MaxLength);};

  var SetDioRowValue=function(VariableData, Row){IoStatusLeftPage.prototype._SetDioRowValue_(VariableData, Row);};
  var SetAioRowValue=function(VariableData, Row){IoStatusLeftPage.prototype._SetAioRowValue_(VariableData, Row);};

  this.ChangeCurrentDivCss=function(that){IoStatusLeftPage.prototype._ChangeCurrentDivCss_(that);};
}










function IoStatusCenterPage()
{
  var IoStatusTab="";
  this.Initialization=function(){IoStatusCenterPage.prototype._Initialization_();};

  var GetLeftPageUsedDynamicRow=function(){IoStatusCenterPage.prototype._GetLeftPageUsedDynamicRow_();};
  var GetModuleType=function(){IoStatusCenterPage.prototype._GetLeftPageUsedDynamicRow_();};
  var GetRuntimeVariableName=function(GlobalVariable, ModuleIndex){IoStatusCenterPage.prototype._GetRuntimeVariableName_(GlobalVariable, ModuleIndex);};

  var ShowVariableTable=function(GlobalVariable, ModuleIndex, DisplayNumber){IoStatusCenterPage.prototype._ShowVariableTable_(GlobalVariable, ModuleIndex, DisplayNumber);};
  var AddDynamicRowHtml=function(SystemVariable, DisplayNumber){IoStatusCenterPage.prototype._AddDynamicRowHtml_(SystemVariable, DisplayNumber);};
  var SetDynamicRowValue=function(GlobalVariable, ModuleIndex, SystemVariable, DisplayNumber){IoStatusCenterPage.prototype._SetDynamicRowValue_(GlobalVariable, ModuleIndex, SystemVariable, DisplayNumber);};
  var GetStartRowNumber=function(DisplayNumber){IoStatusCenterPage.prototype._GetStartRowNumber_(DisplayNumber);};
  var GetEndRowNumber=function(SystemVariable, DisplayNumber){IoStatusCenterPage.prototype._GetEndRowNumber_(SystemVariable, DisplayNumber);};
  var SetTotalPageNumber=function(GlobalVariable, ModuleIndex, DisplayNumber){IoStatusCenterPage.prototype._SetTotalPageNumber_(GlobalVariable, ModuleIndex, DisplayNumber);};
 
  var ShowDynamicRowValue=function(VariableIndexArray, DbusVariable){IoStatusCenterPage.prototype._ShowDynamicRowValue_(VariableIndexArray, DbusVariable);};
  var UpdateScreen=function(VariableIndexArray, ssocket){IoStatusCenterPage.prototype._UpdateScreen_(VariableIndexArray, ssocket);};
  var ShowBitwiseDynamicRowValue=function(VariableIndexArray, DbusVariable){IoStatusCenterPage.prototype._ShowBitwiseDynamicRowValue_(VariableIndexArray, DbusVariable);};
  var UpdateBitwiseScreen=function(VariableIndexArray, ssocket){IoStatusCenterPage.prototype._UpdateBitwiseScreen_(VariableIndexArray, ssocket);};
  this.ShowPreviousPage = function(that){IoStatusCenterPage.prototype._ShowPreviousPage_(that);};
  this.ShowNextPage = function(that){IoStatusCenterPage.prototype._ShowNextPage_(that);};
  //Scaling
  var TcpScalingInitialization=function(){IoStatusCenterPage.prototype._TcpScalingInitialization_();};
  var RtuScalingInitialization=function(){IoStatusCenterPage.prototype._RtuScalingInitialization_();};
  var GetRuntimeScalingVariableName=function(GlobalVariable, ModuleIndex){IoStatusCenterPage.prototype._GetRuntimeScalingVariableName_(GlobalVariable, ModuleIndex);};
  var ScalingVariablePretreatment=function(GlobalVariable, ModuleIndex){return IoStatusCenterPage.prototype._ScalingVariablePretreatment_(GlobalVariable, ModuleIndex);};
  var AddScalingDynamicRowHtml=function(SystemVariable, DisplayNumber){IoStatusCenterPage.prototype._AddScalingDynamicRowHtml_(SystemVariable, DisplayNumber);};
  var ShowScalingVariableTable=function(GlobalVariable, ModuleIndex, DisplayNumber){IoStatusCenterPage.prototype._ShowScalingVariableTable_(GlobalVariable, ModuleIndex, DisplayNumber);};
  var SetScalingDynamicRowValue=function(GlobalVariable, ModuleIndex, SystemVariable, DisplayNumber){IoStatusCenterPage.prototype._SetScalingDynamicRowValue_(GlobalVariable, ModuleIndex, SystemVariable, DisplayNumber);};
  //Bitwise
  var TcpBitwiseInitialization=function(){IoStatusCenterPage.prototype._TcpBitwiseInitialization_();};
  var RtuBitwiseInitialization=function(){IoStatusCenterPage.prototype._RtuBitwiseInitialization_();};
  var GetRuntimeBitwiseVariableName=function(BModuleType, ModuleIndex, BitwiseTotalTag, GlobalVariable){IoStatusCenterPage.prototype._GetRuntimeBitwiseVariableName_(ModuleType, ModuleIndex, BitwiseTotalTag, GlobalVariable);};
  var GetBitwiseGlobalVariableValue=function(GlobalVariable, SystemVariable, VariableName){return IoStatusCenterPage.prototype._GetBitwiseGlobalVariableValue_(GlobalVariable, SystemVariable, VariableName);};
  var BitwiseVariablePretreatment=function(GlobalVariable, ModuleIndex){return IoStatusCenterPage.prototype._BitwiseVariablePretreatment_(GlobalVariable, ModuleIndex);};
  var AddBitwiseDynamicRowHtml=function(BitwiseTotalTag, DisplayNumber){IoStatusCenterPage.prototype._AddBitwiseDynamicRowHtml_(BitwiseTotalTag, DisplayNumber);};
  var ShowBitwiseVariableTable=function(GlobalVariable, GlobalVariable, ModuleIndex, DisplayNumber){IoStatusCenterPage.prototype._ShowBitwiseVariableTable_(GlobalVariable, GlobalVariable, ModuleIndex, DisplayNumber);};
  var SetBitwiseDynamicRowValue=function(BitwiseTotalTag, GlobalVariable, ModuleIndex, DisplayNumber){IoStatusCenterPage.prototype._SetBitwiseDynamicRowValue_(BitwiseTotalTag, GlobalVariable, ModuleIndex, DisplayNumber);};
  var SetBitwiseTotalPageNumber=function(BitwiseTotalTag, DisplayNumber){IoStatusCenterPage.prototype._SetBitwiseTotalPageNumber_(BitwiseTotalTag, DisplayNumber);};
  // Register
  var ShowRegisterDynamicRowValue=function(VariableIndexArray, DbusVariable){IoStatusCenterPage.prototype._ShowRegisterDynamicRowValue_(VariableIndexArray, DbusVariable);};

  //檢查
  var CheckPageNumber=function(){IoStatusCenterPage.prototype._CheckPageNumber_();};
  this.CheckVariableQuantity=function(that){IoStatusCenterPage.prototype._CheckVariableQuantity_(that);};
  this.GetEIPSystemVariableKeyName=function(VariableType, VariableAttribute, Index){IoStatusCenterPage.prototype._GetEIPSystemVariableKeyName_(VariableType, VariableAttribute, Index);};
  this.DeleteEIPModuleChannel=function(GlobalVariable, ModuleIndex){IoStatusCenterPage.prototype._DeleteEIPModuleChannel_(GlobalVariable, ModuleIndex);};
  //值轉換
  var QualityNumberToString=function(number){IoStatusCenterPage.prototype._QualityNumberToString_(number);};
  //清除
  var ClearDynamicRowValue=function(){IoStatusCenterPage.prototype._ClearDynamicRowValue_();};
  var ClearBitwiseDynamicRowValue=function(){IoStatusCenterPage.prototype._ClearBitwiseDynamicRowValue_();};
  //判斷
  var IsElementFocus=function(Row){IoStatusCenterPage.prototype._IsElementFocus_(Row);};
  var IsUsedIoStatus=function(CurrentlyModuleType){IoStatusCenterPage.prototype._IsUsedIoStatus_(CurrentlyModuleType);};
  //DBus
  var DBusReadVariantArray=function(ModuleType, ModuleIndex, GlobalVariable){IoStatusCenterPage.prototype._DBusReadVariantArray_(ModuleType, ModuleIndex, GlobalVariable);};
  this.DBusDoWriteVariantArray=function(that){IoStatusCenterPage.prototype._DBusDoWriteVariantArray_(that);};
  this.DBusAoWriteVariantArray=function(that){IoStatusCenterPage.prototype._DBusAoWriteVariantArray_(that);};
  this.DBusScalingAoWriteVariantArray=function(that){IoStatusCenterPage.prototype._DBusScalingAoWriteVariantArray_(that);};
  var DBusReadScalingVariantArray=function(ModuleType, ModuleIndex, GlobalVariable){IoStatusCenterPage.prototype._DBusReadScalingVariantArray_(ModuleType, ModuleIndex, GlobalVariable);};
  var DBusReadBitwiseVariantArray=function(ModuleType, ModuleIndex, BitwiseTotalTag, GlobalVariable){IoStatusCenterPage.prototype._DBusReadBitwiseVariantArray_(ModuleType, ModuleIndex, BitwiseTotalTag, GlobalVariable);};
  
  var GetLeftPageUsedModuleMasterName=function(){IoStatusCenterPage.prototype._GetLeftPageUsedModuleMasterName_();};

  //Tab切換即時顯示項目
  var ClearCurrentCenterPage=function(){IoStatusCenterPage.prototype._ClearCurrentCenterPage_();};
  var SetInitialPageNumber=function(){IoStatusCenterPage.prototype._SetInitialPageNumber_();};
  var ClearAllCss=function(that){IoStatusCenterPage.prototype._ClearAllCss_(that);};
  var ChangeCurrentlyTabCss=function(that){IoStatusCenterPage.prototype._ChangeCurrentlyTabCss_(that);};
  var ShowScalingIoStatus=function(){IoStatusCenterPage.prototype._ShowScalingIoStatus_();};
  var ShowBitwiseIoStatus=function(){IoStatusCenterPage.prototype._ShowBitwiseIoStatus_();};
  this.ChangeIoStatusTab=function(Mode, that){IoStatusCenterPage.prototype._ChangeIoStatusTab_(Mode, that);};

  //檢查全域變數指定Index位置是否有值
  var CheckGlobalVariableIndexValue=function(GlobalVariable, Index){return IoStatusCenterPage.prototype._CheckGlobalVariableIndexValue_(GlobalVariable, Index);}
}